﻿.newslist-container {
    display: grid;
    grid-template-columns: 260px 1fr;
    gap: 32px;
    font-size: 13px;
}

.newslist-category-container {
    background-color: var(--color-primary-dark);
    border-radius: 16px;
    height: fit-content;
    margin-top: 88.56px;
}

.newslist-catgory {
    list-style: none;
    height: fit-content;
    line-height: 2;
    padding: 20px;
}

    .newslist-catgory a {
        text-decoration: none;
        color: #E8ECEf;
        font-size: 13px;
        display: flex;
        justify-content: space-between;
        padding: 10px 0;
        transition-duration: 350ms;
    }

        .newslist-catgory a.active {
            font-weight: bold;
            border-bottom: 1px solid var(--color-accent-warm) !important;
            margin-bottom: -0.5px;
        }

    .newslist-catgory li {
        border-bottom: 0.5px solid #a7a7a7ba;
    }

        .newslist-catgory li:hover {
            border-bottom: 0.5px solid white;
        }

    .newslist-catgory a:hover {
        color: white;
    }

    .newslist-catgory .icon {
        width: 15px;
    }

.catgory-title {
    display: flex;
    align-items: center;
    margin-bottom: 30px;
    cursor: default;
    font-family: 'YEKANFBld';
}

    .catgory-title h6 {
        font-size: 14px;
        color: white;
        margin: 0;
    }

    .catgory-title .cicon {
        width: 20px;
        margin-left: 5px;
    }

.newslist-pagination {
    margin-top: 50px;
    width: 100%;
    text-align: center;
}

    .newslist-pagination ul {
        padding: 0;
        margin: auto;
        display: flex;
        gap: 8px;
        width: fit-content;
    }

        .newslist-pagination ul li {
            list-style: none;
            background-color: #62626278;
            transition-duration: 500ms;
            width: 24px;
            height: 24px;
            border-radius: 4px;
            align-items: center;
            text-align: center;
            align-content: center;
        }

            .newslist-pagination ul li:hover {
                background-color: #62626263;
            }

            .newslist-pagination ul li a {
                text-decoration: none;
                color: #E8ECEf !important;
                width: 100%;
                height: 100%;
                display: flex;
                align-items: center;
                justify-content: center;
            }

            .newslist-pagination ul li:has(a.active) {
                background-color: var(--color-primary-dark);
            }

    .newslist-pagination .picon {
        width: 18px;
        margin: auto;
    }

        .newslist-pagination .picon.rotate {
            transform: rotate(180deg);
        }

.page-title {
    display: flex;
    gap: 5px;
    align-items: center;
    margin-bottom: 50px;
}

    .page-title a {
        color: #626262;
        font-size: 13px;
        font-weight: 900;
        padding: 4px 0;
        text-decoration: none;
    }

        .page-title a:first-child {
            cursor: pointer;
        }

        .page-title a.active {
            color: var(--color-primary-dark);
            border-bottom: 0.5px solid var(--color-primary-dark);
            cursor: default;
        }

    .page-title img {
        width: 15px;
    }

.newslist-items {
    display: grid;
    grid-template-columns: repeat(auto-fit,minmax(300px,1fr));
    gap: 28px;
    align-items: stretch;
}

.newslist-card {
    width: 100%;
    background: #ffffff;
    background: linear-gradient(180deg,#ffffff 0%,#fafafa 100%);
    padding: 16px;
    border-radius: 22px;
    transition-duration: 600ms;
    display: flex;
    flex-direction: column;
    border: 1px solid #f0f0f0;
}

    .newslist-card:hover {
        transform: translateY(-8px);
        box-shadow: 0 18px 40px rgba(0,22,61,0.08);
    }

.newslist-card-img {
    position: relative;
    width: 100%;
    aspect-ratio: 3.5/4;
    overflow: hidden;
    border-radius: 16px;
}

    .newslist-card-img img {
        width: 100%;
        height: 100%;
        object-fit: cover;
        transition: transform 0.6s ease;
    }

.newslist-card:hover .newslist-card-img img {
    transform: scale(1.08);
}

.newslist-card-category {
    position: absolute;
    top: 12px;
    left: 12px;
    background: var(--color-primary-dark);
    color: white;
    padding: 4px 14px;
    border-radius: 10px;
    font-size: 11px;
    font-weight: 600;
    z-index: 2;
}

.newslist-card-body {
    padding: 16px 6px 6px 6px;
    display: flex;
    flex-direction: column;
    flex-grow: 1;
}

.newslist-card-meta {
    margin-bottom: 6px;
}

    .newslist-card-meta .date {
        font-size: 11px;
        color: #999;
    }

.newslist-card-title {
    font-family: 'YEKANFSBld';
    font-size: 15px;
    font-weight: 800;
    color: var(--color-primary-dark);
    margin-bottom: 12px;
    line-height: 1.7;
    height: 52px;
    display: -webkit-box;
    -webkit-line-clamp: 2;
    -webkit-box-orient: vertical;
    overflow: hidden;
}

.newslist-card-summary {
    font-size: 12.5px;
    color: #666;
    line-height: 1.8;
    margin-bottom: 20px;
    text-align: justify;
    display: -webkit-box;
    -webkit-line-clamp: 1;
    -webkit-box-orient: vertical;
    overflow: hidden;
    text-overflow: ellipsis;
    height: 23px;
}
.newsitem-summ {
    color: #666;
}
.newslist-card-footer {
    width: 100%;
    direction: ltr;
    margin-top: auto;
}

    .newslist-card-footer a {
        display: flex;
        justify-content: center;
        align-items: center;
        background-color: var(--color-primary-dark);
        padding: 10px 18px;
        border-radius: 16px;
        color: var(--color-text-primary) !important;
        max-width: 150px;
        overflow: hidden;
        transition: max-width 700ms cubic-bezier(.22,1,.36,1);
    }

        .newslist-card-footer a:hover {
            background-color: #00163dd6;
        }

.newslist-card:hover .newslist-card-footer a {
    max-width: 100%;
}

.newsitem-card {
    background: #fff;
    border-radius: 18px;
    padding: 22px;
    min-height: 300px;
    max-width: 892px;
}

.newsitem-info {
    display: flex;
    flex-direction: column;
    padding-bottom: 18px;
    border-bottom: 1px solid #e9e9e9;
    margin-bottom: 22px;
}

.newsitem-header {
    display: flex;
    flex-direction: column;
    gap: 16px;
}

.newsitem-title {
    font-family: 'YEKANFSBld';
    font-size: 15px;
    font-weight: 800;
    color: var(--color-primary-dark);
    line-height: 2;
    margin:0
}

.newsitem-meta {
    display: flex;
    gap: 8px;
    align-items: center;
}

.newsitem-category {
    font-size: 12px;
    background: var(--color-primary-dark);
    color: #fff;
    padding: 2px 14px;
    border-radius: 20px;
    white-space: nowrap;
}

.newsitem-date {
    font-size: 12px;
    color: #666666d3;
    background: #f1f1f1e5;
    padding: 2px 18px;
    border-radius: 20px;
    white-space: nowrap;
}

.newsitem-image {
    float: right;
    width: 380px;
    aspect-ratio: 3.5/4;
    overflow: hidden;
    border-radius: 14px;
    margin-left: 24px;
    margin-bottom: 10px;
}

    .newsitem-image img {
        width: 100%;
        height: 100%;
        object-fit: cover;
    }

.newsitem-content {
    font-size: 13px;
    line-height: 2.3;
    text-align: justify;
    text-justify: inter-word;
    color: #333;
    font-family: 'YEKANF' !important;
}

    .newsitem-content p,
    .newsitem-content span {
        font-family: 'YEKANF' !important;
    }

@media(max-width:1200px) {
    .newslist-items {
        grid-template-columns: repeat(auto-fit,minmax(280px,1fr));
        gap: 24px;
    }
}

@media(max-width:992px) {
    .newslist-container {
        grid-template-columns: 1fr;
    }

    .newslist-category-container {
        margin-top: 0;
    }

    .newsitem-image {
        float: none;
        width: 100%;
        margin: 0 0 18px 0;
    }
}

@media(max-width:768px) {
    .newslist-items {
        grid-template-columns: repeat(auto-fit,minmax(240px,1fr));
        gap: 20px;
    }

    .newslist-card-title {
        font-size: 14px;
    }
}

@media(max-width:520px) {
    .newslist-items {
        grid-template-columns: 1fr;
        gap: 18px;
    }
}

.newsitem-body {
    overflow-wrap: break-word;
    text-justify: no-compress;
}

    .newsitem-body p,
    .newsitem-body span {
        font-family: 'YEKANF' !important;
        line-height: 2.5 !important;
        overflow-wrap: break-word;
        text-align: justify;
    }


